/* Auteur: Nicolas JANEY      */
/* nico@univ-fcomte.fr        */
/* Avril 2001                 */
/* Un manipulateur souris     */
/* et clavier                 */

#ifndef MODULEMANIPULATEUR
#define MODULEMANIPULATEUR

void finModuleManipulateur(void);
void initModuleManipulateur(int m,int *f);
int sourisManipulateur(int bouton,int etat,int x,int y) ;
int motionManipulateur(int x,int y) ;
void manipulateurSouris() ;
void setManipulateurDistance(float d) ;
int keyManipulateur(unsigned char key,int x,int y) ;
int specialManipulateur(int k, int x, int y) ;
void setManipulateurClavierAngle(float ax,float ay,float az) ;
void setManipulateurSourisAngle(float ax,float ay,float az) ;
void manipulateurClavier() ;
void sourisBasique(int bouton,int etat,int x,int y) ;
void motionBasique(int x,int y) ;
void keyBasique(unsigned char key,int x,int y) ;
void specialBasique(int k, int x, int y) ;
void idleBasique(void) ;

#endif
